---
galaxy_info:
  author: Sylvain Desbureaux
  description: Common role for postconfiguring kubernetes after installation
  company: Orange

  # If the issue tracker for your role is not on github, uncomment the
  # next line and provide a value
  # issue_tracker_url: http://example.com/issue/tracker

  # Some suggested licenses:
  # - BSD (default)
  # - MIT
  # - GPLv2
  # - GPLv3
  # - Apache
  # - CC-BY
  license: Apache

  min_ansible_version: 2.9

  # If this a Container Enabled role, provide the minimum Ansible Container
  # version.
  # min_ansible_container_version:

  # Optionally specify the branch Galaxy will use when accessing the GitHub
  # repo for this role. During role install, if no tags are available,
  # Galaxy will use this branch. During import Galaxy will access files on
  # this branch. If Travis integration is configured, only notifications for
  # this branch will be accepted. Otherwise, in all cases, the repo's default
  # branch (usually master) will be used.
  # github_branch:

  #
  # Provide a list of supported platforms, and for each platform a list of
  # versions. If you don't wish to enumerate all versions for a particular
  # platform, use 'all'. To view available platforms and versions (or releases),
  # visit: https://galaxy.ansible.com/api/v1/platforms/
  #
  platforms:
    - name: Fedora
      versions:
        - all
    - name: Centos
      versions:
        - all
    - name: RHEL
      versions:
        - all
    - name: Debian
      versions:
        - all
    - name: Ubuntu
      versions:
        - all
  #   versions:
  #   - all
  #   - 25
  # - name: SomePlatform
  #   versions:
  #   - all
  #   - 1.0
  #   - 7
  #   - 99.99

  galaxy_tags:
    []
    # List tags for your role here, one per line. A tag is a keyword that
    # describes and categorizes the role. Users find roles by searching for
    # tags. Be sure to remove the '[]' above, if you add tags to this list.
    #
    # NOTE: A tag is limited to a single word comprised of alphanumeric
    # characters. Maximum 20 tags per role.

dependencies:
  # yamllint disable-line rule:line-length
  - src: git+https://gitlab.com/Orange-OpenSource/lfn/infra/kubernetes-monitoring-role.git
    version: ansible_collection
    name: kubernetes-monitoring
    vars:
      enable_prometheus: "{{ add_monitoring }}"
